curl -X POST https://api.kasiye.com/v1/shipments/SHP-12345/cancel \
-H "Authorization: Bearer shp_your_key"
Shipments
Cancel a shipment
Cancel a shipment that has not started delivery.
POST
/
shipments
/
{shipment}
/
cancel
curl -X POST https://api.kasiye.com/v1/shipments/SHP-12345/cancel \
-H "Authorization: Bearer shp_your_key"
Sets
Returns the cancelled shipment in
A reference that belongs to another workspace returns
status to cancelled. Allowed while the shipment is pending or awaiting_pickup. In-transit and delivered shipments cannot be cancelled.
string
required
Shipment reference, for example
SHP-12345.curl -X POST https://api.kasiye.com/v1/shipments/SHP-12345/cancel \
-H "Authorization: Bearer shp_your_key"
data.
If the shipment cannot be cancelled:
{
"message": "This shipment cannot be cancelled.",
"errors": {
"shipment": ["This shipment cannot be cancelled."]
}
}
404.